
# ConnectionRunDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**connectionId** | **String** | The unique ID of the connection |  [optional]
**created** | [**DateTime**](DateTime.md) | When the connection was created, as a datetime |  [optional]
**createdBy** | **String** | The ID of the user that created the connection |  [optional]
**destinationParameters** | **Object** | Any parameters provided to the destination |  [optional]
**destinationStatus** | [**DestinationStatusEnum**](#DestinationStatusEnum) | The run status of the destination |  [optional]
**destinationWorkspaceId** | **String** | The workspace of the the run destination |  [optional]
**error** | **String** | An error, if encountered, while initiating the job |  [optional]
**jobId** | **String** | The unique ID of the job |  [optional]
**sourceParameters** | **Object** | Any parameters provided to the source |  [optional]
**sourceStatus** | [**SourceStatusEnum**](#SourceStatusEnum) | The run status of the source |  [optional]
**sourceWorkspaceId** | **String** | The workspace of the run source |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the connection was updated, as a datetime |  [optional]
**workspaceId** | **String** | The workspace id for this connection |  [optional]


<a name="DestinationStatusEnum"></a>
## Enum: DestinationStatusEnum
Name | Value
---- | -----
NOT_STARTED | &quot;not_started&quot;
RUNNING | &quot;running&quot;
COMPLETE | &quot;complete&quot;
ERROR | &quot;error&quot;
CANCELLED | &quot;cancelled&quot;


<a name="SourceStatusEnum"></a>
## Enum: SourceStatusEnum
Name | Value
---- | -----
NOT_STARTED | &quot;not_started&quot;
RUNNING | &quot;running&quot;
COMPLETE | &quot;complete&quot;
ERROR | &quot;error&quot;
CANCELLED | &quot;cancelled&quot;



