
# PivotDefinitionDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**columns** | [**List&lt;PivotViewDefinitionColumnDto&gt;**](PivotViewDefinitionColumnDto.md) | The colmnnns associated with the pivot view |  [optional]
**decimalPlaces** | **Integer** | Numeric data values are rounded to the number of decimal places.  The default number to round to and show is 2 decimal places, and the maximum number is capped at 16. |  [optional]
**filters** | [**List&lt;PivotViewDefinitionFilterDto&gt;**](PivotViewDefinitionFilterDto.md) | The filters associated with the pivot view |  [optional]
**grandTotalEnabled** | [**GrandTotalEnabledEnum**](#GrandTotalEnabledEnum) | The level to which Grand Totals are enabled.  It is defaulted to DISABLED. |  [optional]
**id** | **String** | The pivot view&#39;s definition&#39;s id |  [optional]
**multipleHeaders** | **Boolean** | Denotes whether a pivot is created in multi-line header mode. Default is false. |  [optional]
**pivotViewType** | [**PivotViewTypeEnum**](#PivotViewTypeEnum) | The type of pivot view. Options are currently Classic and Compact. |  [optional]
**rows** | [**List&lt;PivotViewDefinitionRowDto&gt;**](PivotViewDefinitionRowDto.md) | The rows associated with the pivot view |  [optional]
**sortColumns** | **List&lt;String&gt;** | Columns with which to sort the crosstab query |  [optional]
**subtotalEnabled** | [**SubtotalEnabledEnum**](#SubtotalEnabledEnum) | The level to which Subtotals are enabled.  It is defaulted to DISABLED. |  [optional]
**values** | [**List&lt;PivotViewDefinitionValueDto&gt;**](PivotViewDefinitionValueDto.md) | The values associated with the pivot view |  [optional]


<a name="GrandTotalEnabledEnum"></a>
## Enum: GrandTotalEnabledEnum
Name | Value
---- | -----
ENABLED | &quot;ENABLED&quot;
ROW | &quot;ROW&quot;
COLUMN | &quot;COLUMN&quot;
DISABLED | &quot;DISABLED&quot;


<a name="PivotViewTypeEnum"></a>
## Enum: PivotViewTypeEnum
Name | Value
---- | -----
CLASSIC | &quot;CLASSIC&quot;
COMPACT | &quot;COMPACT&quot;
FLAT | &quot;FLAT&quot;


<a name="SubtotalEnabledEnum"></a>
## Enum: SubtotalEnabledEnum
Name | Value
---- | -----
ENABLED | &quot;ENABLED&quot;
ROW | &quot;ROW&quot;
COLUMN | &quot;COLUMN&quot;
DISABLED | &quot;DISABLED&quot;



