
# PivotViewDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**additionalMeta** | **Map&lt;String, Object&gt;** | User-defined metadata to attach to the pivot view. This is any arbitrary JSON object and is not required. |  [optional]
**created** | [**DateTime**](DateTime.md) | When the entity was created |  [optional]
**description** | **String** | The description of the pivot view |  [optional]
**id** | **String** | The entity&#39;s unique identifier |  [optional]
**name** | **String** | Name of the pivot view. The maximum size is 255 characters. | 
**parentId** | **String** | If non-null, indicates the parent of this entity. Must be modified through the folder api. |  [optional]
**queryId** | **String** | The query to associate with this pivot view. This value is required and cannot be updated after the pivot is created. Any attempt to update the query ID is ignored. | 
**queryResultId** | **String** | An optional query result id to associate with this pivot view. If associated, saving a pivot view will cause an existence check on the related query result.  This value is not required. The query id on the query result must match this pivot&#39;s query ID. |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the entity was last updated |  [optional]
**userId** | **String** | The owner of the entity |  [optional]
**version** | **Long** | The version of the current representation of the entity |  [optional]



