
# RefreshBatchDto

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**batchRefreshId** | **String** | The unique ID of the batch |  [optional]
**childRefreshes** | [**List&lt;ConnectionRunDto&gt;**](ConnectionRunDto.md) | The list of jobs initiated by the batch |  [optional]
**created** | [**DateTime**](DateTime.md) | When the batch was created, as a datetime |  [optional]
**createdBy** | **String** | The ID of the user that created the batch |  [optional]
**destinationStatus** | [**DestinationStatusEnum**](#DestinationStatusEnum) | The run status of the destination |  [optional]
**error** | **String** | Any error encountered while initiating the batch |  [optional]
**sourceStatus** | [**SourceStatusEnum**](#SourceStatusEnum) | The run status of the source |  [optional]
**updated** | [**DateTime**](DateTime.md) | When the batch was updated, as a datetime |  [optional]


<a name="DestinationStatusEnum"></a>
## Enum: DestinationStatusEnum
Name | Value
---- | -----
NOT_STARTED | &quot;not_started&quot;
RUNNING | &quot;running&quot;
COMPLETE | &quot;complete&quot;
ERROR | &quot;error&quot;
CANCELLED | &quot;cancelled&quot;


<a name="SourceStatusEnum"></a>
## Enum: SourceStatusEnum
Name | Value
---- | -----
NOT_STARTED | &quot;not_started&quot;
RUNNING | &quot;running&quot;
COMPLETE | &quot;complete&quot;
ERROR | &quot;error&quot;
CANCELLED | &quot;cancelled&quot;



